Arch Panel/uk: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 1: Line 1:
<languages/>
<languages/>
{{docnav|[[Arch_Stairs|Stairs]]|[[Arch_Panel_Cut|Panel Cut]]|[[Arch_Module|Arch]]}}
{{docnav|[[Arch_Stairs|Stairs]]|[[Arch_Panel_Cut|Panel Cut]]|[[Arch_Module|Arch]]}}

<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{GuiCommand/uk|Name=Arch Panel|Name/uk=Arch Panel|Workbenches=[[Arch Module/uk|Arch]]|MenuLocation=Arch → Panel|Shortcut=P,A|SeeAlso=[[Arch Structure/uk|Arch Structure]]}}
{{GuiCommand/uk|Name=Arch Panel|Name/uk=Arch Panel|Workbenches=[[Arch Module/uk|Arch]]|MenuLocation=Arch → Panel|Shortcut=P,A|SeeAlso=[[Arch Structure/uk|Arch Structure]]}}
Line 74: Line 75:
* [[Wikihouse porting tutorial|Wikihouse porting tutorial]]
* [[Wikihouse porting tutorial|Wikihouse porting tutorial]]



<div class="mw-translate-fuzzy">
{{docnav|[[Arch_Stairs|Stairs]]|[[Arch_Panel_Cut|Panel Cut]]|[[Arch_Module|Arch]]}}
[[Category:Arch/uk]]
{{Arch Tools navi}}
</div>
{{Userdocnavi}}

Revision as of 21:34, 3 February 2019

Arch Panel

Меню прокату
Arch → Panel
Верстаки
Arch
Ярлик за умовчанням
P,A
Введено у версії
-
Дивись також
Arch Structure

Description

This tool allows you to build all kinds of panel-like elements, typically for panel constructions like the WikiHouse project, but also for all kinds of objects that are based on a flat profile.

The above image shows a series of panel objects, simply made from imported 2D contours from a DXF file. They can then be rotated and assembled to create structures.

Since version 0.17, the Arch Panel can also be used to create corrugated or trapezoidal profiles:


How to use

  1. Select a 2D shape (draft object, face or sketch) - optional.
  2. Press the Arch Panel button, or press P then A keys.
  3. Adjust the desired properties.

Limitations

  • There is currently no automatic system to produce 2D cutting sheets from panel objects, but such feature is in the plans and will be added in the future.

Options

  • Panels share the common properties and behaviours of all Arch Components.
  • The thickness of a panel can be adjusted after creation.
  • Press Esc or the Cancel button to abort the current command.
  • Double-clicking on the panel in the tree view after it is created allows you to enter edit mode and access and modify its additions and subtractions.
  • It is possible to automatically make panels composed of more than one sheet of a material, by raising its Sheets property.
  • Panels can make use of Multi-Materials. When using a multi-material, the panel will become multi-layer, using the thicknesses specified by the multi-material. Any layer with a thickness of zero will have its thickness defined automatically by the remaining space defined by the Panel's own Thickness value, after subtracting the other layers.

Properties

  • ДаніLength: The length of the panel
  • ДаніWidth: The width of the panel
  • ДаніThickness: The thickness of the panel
  • ДаніArea: The area of the panel (automatic)
  • ДаніSheets: The number of sheets of material the panel is made of
  • ДаніWave Length: The length of the wave for corrugated panels
  • ДаніWave Height: The height of the wave for corrugated panels
  • ДаніWave Type: The type of the wave for corrugated panels, curved, trapezoidal or spiked
  • ДаніWave Direction: The orientation of the waves for corrugated panels
  • ДаніBottom Wave: If the bottom wave of the panel is flat or not

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The Panel tool can be used in macros and from the Python console by using the following function:

Panel = makePanel(baseobj=None, length=0, width=0, thickness=0, placement=None, name="Panel")
  • Creates a Panel object from the given baseobj, which is a closed profile, and the given extrusion thickness.
    • If no baseobj is given, you can provide the numerical values for the length, width, and thickness to create a block panel.
  • If a placement is given, it is used.

Example:

import FreeCAD, Draft, Arch

Rect = Draft.makeRectangle(1000, 400)
Panel = Arch.makePanel(Rect, thickness=36)

Tutorials